import request from '@/utils/request'
function getAllLine(data){//查询接线方式
    return request({
        url:`/admin/linkstyle/list`,
        method:"get",
        params:data
    })
}
function getLineModel(data){//获取接线方式下的模型
    return request({
        url:`/admin/linkstyle-model/list`,
        method:"get",
        params:data
    })
}
function addLine(data){
    return request({
        url:`/admin/linkstyle/save`,
        method:"post",
        data
    })
}
function delLine(data) {
    return request({
        url:`/admin/linkstyle/delete`,
        method:"post",
        data
    })
}
export default{
    getAllLine,
    getLineModel,
    addLine,
    delLine
}